## gridsite 1.7.13

=== src/Makefile ===
#
#   Andrew McNab and Shiv Kaushal, University of Manchester.
#   Copyright (c) 2002-7. All rights reserved.
#
#   Redistribution and use in source and binary forms, with or
#   without modification, are permitted provided that the following
#   conditions are met:
#
#     o Redistributions of source code must retain the above
#       copyright notice, this list of conditions and the following
#       disclaimer. 
#     o Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials
#       provided with the distribution. 
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
#   CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
#   INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
#   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
#   BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
#   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
#   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
#   ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
#   OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.
#
#---------------------------------------------------------------
# For more information about GridSite: http://www.gridsite.org/ 
#---------------------------------------------------------------

include ../VERSION

RPMCMD=$(shell if [ -x /usr/bin/rpmbuild ] ; then echo /usr/bin/rpmbuild; else echo rpm; fi)

ifndef MYRPMDIR
export MYRPMDIR=$(shell pwd)/../RPMTMP
endif

ifndef prefix
export prefix=/usr/local
endif

ifndef libdir
export libdir=lib
endif

CURL_CFLAGS=`curl-config --cflags`
CURL_LIBS=`curl-config --libs`
XML2_CFLAGS=`xml2-config --cflags`
XML2_LIBS=`xml2-config --libs`
HTTPD_FLAGS=-I/usr/include/httpd -I/usr/include/apache2 -I/usr/include/apr-0 -I/usr/include/apr-1 -I/usr/include/apr-1.0
GSOAP_CFLAGS=`pkg-config gsoap --cflags`
GSOAP_LIBS=`pkg-config gsoap --libs`
GSOAPSSL_CFLAGS=`pkg-config gsoapssl --cflags`
GSOAPSSL_LIBS=`pkg-config gsoapssl --libs`

ifndef MYCFLAGS
export MYCFLAGS=-I. -I../interface -fPIC -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE $(HTTPD_FLAGS) 
endif

ifndef MYLDFLAGS
export MYLDFLAGS=-L.
endif


#
# Build
#

build: apidoc build-lib \
       htcp gridsite-copy.cgi gridsite-storage.cgi mod_gridsite.so \
       urlencode findproxyfile gsexec real-gridsite-admin.cgi

build-lib: libgridsite_globus.so.$(VERSION) libgridsite_globus.a \
           libgridsite.so.$(VERSION) libgridsite.a \
           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a

# First, normal versions using system OpenSSL rather than Globus OpenSSL

libgridsite.so.$(VERSION): grst_err.o grst_x509.o grst_gacl.o grst_xacml.o \
                           grst_http.o grst_asn1.o grst_htcp.o
	gcc -shared -Wl,-soname,libgridsite.so.$(MINOR_VERSION) \
         -o libgridsite.so.$(PATCH_VERSION) -lcrypto `xml2-config --libs` \
         grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o \
         grst_asn1.o grst_htcp.o 
	ln -sf libgridsite.so.$(VERSION) libgridsite.so
	ln -sf libgridsite.so.$(VERSION) libgridsite.so.$(MINOR_VERSION)

libgridsite.a: grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o grst_asn1.o grst_htcp.o
	ar src libgridsite.a grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o grst_asn1.o grst_htcp.o

grst_err.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
	    -I/usr/kerberos/include \
	    -c grst_err.c

grst_x509.o: grst_x509.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_x509.c

grst_gacl.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c

grst_xacml.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c

grst_http.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
                        -I/usr/kerberos/include -c grst_http.c

grst_asn1.o: grst_asn1.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_asn1.c

grst_htcp.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) \
            -I/usr/kerberos/include -c grst_htcp.c

# Then build versions using Globus OpenSSL if configured

ifdef OPENSSL_GLOBUS_LIBS

libgridsite_globus.so.$(VERSION): grst_err_globus.o \
               grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o \
               grst_asn1_globus.o grst_xacml_globus.o grst_htcp_globus.o 
	gcc -shared -Wl,-soname,libgridsite_globus.so.$(MINOR_VERSION) \
         -o libgridsite_globus.so.$(PATCH_VERSION) $(XML2_LIBS) \
         grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_xacml_globus.o \
         grst_http_globus.o grst_asn1_globus.o
	ln -sf libgridsite_globus.so.$(VERSION) libgridsite_globus.so

libgridsite_globus.a: grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o
	ar src libgridsite_globus.a \
               grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o

grst_err_globus.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
	    -I/usr/kerberos/include \
	    -c grst_err.c \
	    -o grst_err_globus.o

grst_x509_globus.o: grst_x509.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_x509.c \
            -o grst_x509_globus.o

grst_gacl_globus.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c \
            -o grst_gacl_globus.o

grst_xacml_globus.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c \
            -o grst_xacml_globus.o

grst_http_globus.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_http.c \
            -o grst_http_globus.o

grst_asn1_globus.o: grst_asn1.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_asn1.c \
            -o grst_asn1_globus.o

grst_htcp_globus.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) $(OPENSSL_GLOBUS_FLAGS) \
            -I/usr/kerberos/include -c grst_htcp.c \
            -o grst_htcp_globus.o

else

libgridsite_globus.so.$(VERSION): libgridsite.so.$(VERSION)
	cp -f libgridsite.so.$(VERSION) libgridsite_globus.so.$(VERSION)

libgridsite_globus.a: libgridsite.a
	cp -f libgridsite.a libgridsite_globus.a

endif

# then build versions without OpenSSL

libgridsite_nossl.so.$(VERSION): grst_err_nossl.o \
               grst_gacl_nossl.o grst_http_nossl.o \
               grst_xacml_nossl.o grst_htcp_nossl.o 
	gcc -shared -Wl,-soname,libgridsite_nossl.so.$(MINOR_VERSION) \
         -o libgridsite_nossl.so.$(PATCH_VERSION) $(XML2_LIBS) \
         grst_err_nossl.o grst_gacl_nossl.o grst_xacml_nossl.o \
         grst_http_nossl.o grst_htcp_nossl.o
	ln -sf libgridsite_nossl.so.$(VERSION) libgridsite_nossl.so

libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o
	ar src libgridsite_nossl.a \
               grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o

grst_err_nossl.o: grst_err.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
	    -I/usr/kerberos/include \
	    -c grst_err.c \
	    -o grst_err_nossl.o

grst_gacl_nossl.o: grst_gacl.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_gacl.c \
            -o grst_gacl_nossl.o

grst_xacml_nossl.o: grst_xacml.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include $(XML2_CFLAGS) -c grst_xacml.c \
            -o grst_xacml_nossl.o

grst_http_nossl.o: grst_http.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c grst_http.c \
            -o grst_http_nossl.o

grst_htcp_nossl.o: grst_htcp.c ../interface/gridsite.h
	gcc -g $(MYCFLAGS) -DGRST_NO_OPENSSL \
            -I/usr/kerberos/include -c grst_htcp.c \
            -o grst_htcp_nossl.o

# now the binary exectuables

gsexec:	gsexec.c gsexec.h
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o gsexec gsexec.c

urlencode: urlencode.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
            -o urlencode urlencode.c -L. \
            -I/usr/kerberos/include \
            -lgridsite

htcp: htcp.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o htcp htcp.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            -lgridsite

htcp-static: htcp.c libgridsite.a
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o htcp-static htcp.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            -lgridsite -static

gridsite-copy.cgi: gridsite-copy.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
	    -o gridsite-copy.cgi gridsite-copy.c -L. \
	    -I/usr/kerberos/include \
            $(CURL_CFLAGS) $(CURL_LIBS) \
            $(MYFCGILIBS) -lgridsite

mod_gridsite.so: mod_gridsite.c mod_ssl-private.h libgridsite.so.$(VERSION)
	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
           -I/usr/kerberos/include \
           $(XML2_CFLAGS) \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
           mod_gridsite.c $(MYLDFLAGS) $(XML2_LIBS) -lm -lz -lgridsite

mod_gridsite_example.so: mod_gridsite_example.c 
	gcc -g -shared -Wl,-soname=gridsite_example_module \
	   -I/usr/include/httpd -I/usr/include/apr-0 \
           -DVERSION=\"$(VERSION)\" -o mod_gridsite_example.so \
           mod_gridsite_example.c 

real-gridsite-admin.cgi: grst_admin_main.c grst_admin_gacl.c \
                         grst_admin_file.c grst_admin.h
	gcc -g $(MYCFLAGS) $(MYLDFLAGS) -o real-gridsite-admin.cgi \
            grst_admin_main.c \
            grst_admin_gacl.c \
            grst_admin_file.c \
            -I/usr/kerberos/include \
            -DVERSION=\"$(VERSION)\" -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm

findproxyfile: findproxyfile.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
            -o findproxyfile findproxyfile.c -L. \
            -I/usr/kerberos/include -lgridsite \
            -lssl -lcrypto $(XML2_LIBS) -lz -lm

showx509exts: showx509exts.c libgridsite.so.$(VERSION)
	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
            -o showx509exts showx509exts.c -L. \
            -I/usr/kerberos/include \
            -lgridsite \
            -lssl -lcrypto $(XML2_LIBS) -lz -lm
 
slashgrid: slashgrid.c libgridsite.so.$(VERSION)
	gcc -g -o slashgrid -lfuse -lpthread slashgrid.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22 \
          -I/usr/kerberos/include $(CURL_CFLAGS) \
          -L. $(CURL_LIBS) -lgridsite -lpthread

# This target is used by make-gridsite-spec to test for FUSE include+libs
fuse-test: fuse-test.c
	gcc -g -lfuse fuse-test.c \
          $(MYCFLAGS) $(MYLDFLAGS) $(XML2_CFLAGS) \
          -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DFUSE_USE_VERSION=22

apidoc:
	date
	doxygen Doxyfile
	mkdir -p ../doc/doxygen
	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
          > $$i.html ; done

=== debian/changelog ===
gridsite (1.7.13-5) unstable; urgency=low

  * Fix linkorder for -Wl,--as-needed (backport from ubuntu)
  * Fix pointer to integer conversion (backport from ubuntu)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Jun 2011 23:12:08 +0200

gridsite (1.7.13-4) unstable; urgency=low

  * Fix typo in debian/rules (Closes: #630871)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 20 Jun 2011 11:20:23 +0200

gridsite (1.7.13-3) unstable; urgency=low

  * jquery.js not used with latest doxygen

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 May 2011 16:30:31 +0200

gridsite (1.7.13-2) unstable; urgency=low

  * Use wildcards in lintian overrides (Closes: #597626)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 May 2011 04:26:21 +0200

gridsite (1.7.13-1) UNRELEASED; urgency=low

  * Latest upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 02 May 2011 20:18:15 +0200

gridsite (1.7.9-1) UNRELEASED; urgency=low

  * Update to gridsite 1.7 series

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 13 Feb 2011 10:43:08 +0100

gridsite (1.5.19-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 17 Sep 2010 11:21:39 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

include /usr/share/quilt/quilt.make

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	cd src && \
	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" $(MAKE)

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	# Makefile has no clean target - need to clean manually
	rm -f src/findproxyfile
	rm -f src/gridsite-copy.cgi
	rm -f src/gridsite-storage.cgi
	rm -f src/gsexec
	rm -f src/htcp
	rm -f src/real-gridsite-admin.cgi
	rm -f src/urlencode
	rm -f src/*.o
	rm -f src/*.a
	rm -f src/*.so
	rm -f src/*.so.*
	rm -rf doc/doxygen
	rm -rf doc/*.1.html
	rm -rf doc/*.8.html
	rm -rf src/doxygen

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	cd src && \
	$(MAKE) install prefix=$(INSTALLDIR)$(_prefix)

	mv $(INSTALLDIR)$(_libdir)/httpd $(INSTALLDIR)$(_libdir)/apache2

	# Let debhelper do the compression
	gunzip $(INSTALLDIR)$(_mandir)/man*/*

	# This is not really useful
	rm -f $(INSTALLDIR)$(_libdir)/libgridsite_globus.*
	rm -f $(INSTALLDIR)$(_libdir)/libgridsite_nossl.*

	# Remove these - docs are installed using the debian/*.docs files
	rm -rf $(INSTALLDIR)$(_datadir)/doc

	# Set up root area to serve files from
	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
	install -m 0644 debian/gridsitehead.txt \
	   $(INSTALLDIR)$(_localstatedir)/lib/gridsite/gridsitehead.txt
	install -m 0644 debian/gridsitefoot.txt \
	   $(INSTALLDIR)$(_localstatedir)/lib/gridsite/gridsitefoot.txt
	install -m 0644 debian/root-level.gacl \
	   $(INSTALLDIR)$(_localstatedir)/lib/gridsite/.gacl

	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite

	# Copy in apache configuration, we must name it zgridsite.conf
	# so it is loaded after mod_ssl in ssl.conf
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available
	install -m 0644 debian/gridsite.conf \
	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.conf
	install -m 0644 debian/gridsite.load \
	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.load
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available
	install -m 0644 debian/gridsite.site \
	   $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available/gridsite

	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
	   debian/gridsitelogo.png.uu

	chown www-data.www-data \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite/.gacl \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite/gridsitehead.txt \
	  $(INSTALLDIR)$(_localstatedir)/lib/gridsite/gridsitefoot.txt \
	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X sbin/gsexec -X var/lib/gridsite \
		    -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libgridsite1.7/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

.PHONY: build clean binary-indep binary-arch binary install configure

## gridsite 1.7.15

=== src/Makefile ===
--- 
+++ 
@@ -84,9 +84,9 @@
 libgridsite.so.$(VERSION): grst_err.o grst_x509.o grst_gacl.o grst_xacml.o \
                            grst_http.o grst_asn1.o grst_htcp.o
 	gcc -shared -Wl,-soname,libgridsite.so.$(MINOR_VERSION) \
-         -o libgridsite.so.$(PATCH_VERSION) -lcrypto `xml2-config --libs` \
+         -o libgridsite.so.$(PATCH_VERSION) \
          grst_err.o grst_x509.o grst_gacl.o grst_xacml.o grst_http.o \
-         grst_asn1.o grst_htcp.o 
+         grst_asn1.o grst_htcp.o -lcrypto $(XML2_LIBS)
 	ln -sf libgridsite.so.$(VERSION) libgridsite.so
 	ln -sf libgridsite.so.$(VERSION) libgridsite.so.$(MINOR_VERSION)
 
@@ -130,9 +130,9 @@
                grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o \
                grst_asn1_globus.o grst_xacml_globus.o grst_htcp_globus.o 
 	gcc -shared -Wl,-soname,libgridsite_globus.so.$(MINOR_VERSION) \
-         -o libgridsite_globus.so.$(PATCH_VERSION) $(XML2_LIBS) \
+         -o libgridsite_globus.so.$(PATCH_VERSION) \
          grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_xacml_globus.o \
-         grst_http_globus.o grst_asn1_globus.o
+         grst_http_globus.o grst_asn1_globus.o $(XML2_LIBS)
 	ln -sf libgridsite_globus.so.$(VERSION) libgridsite_globus.so
 
 libgridsite_globus.a: grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o
@@ -191,9 +191,9 @@
                grst_gacl_nossl.o grst_http_nossl.o \
                grst_xacml_nossl.o grst_htcp_nossl.o 
 	gcc -shared -Wl,-soname,libgridsite_nossl.so.$(MINOR_VERSION) \
-         -o libgridsite_nossl.so.$(PATCH_VERSION) $(XML2_LIBS) \
+         -o libgridsite_nossl.so.$(PATCH_VERSION) \
          grst_err_nossl.o grst_gacl_nossl.o grst_xacml_nossl.o \
-         grst_http_nossl.o grst_htcp_nossl.o
+         grst_http_nossl.o grst_htcp_nossl.o $(XML2_LIBS)
 	ln -sf libgridsite_nossl.so.$(VERSION) libgridsite_nossl.so
 
 libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o

=== debian/changelog ===
gridsite (1.7.15-2) unstable; urgency=low

  * Fix missing dependency in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 31 Aug 2011 13:52:00 +0200

gridsite (1.7.15-1) unstable; urgency=low

  * Latest upstream release
  * Drop patch gridsite-include-1.7.9.patch (accepted upstream)
  * Drop patch gridsite-linkorder.patch (accepted upstream)
  * Drop patch gridsite-ptr-wo-cast.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 30 Aug 2011 21:16:41 +0200

=== debian/control ===
Source: gridsite
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), quilt, apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
Standards-Version: 3.9.2
Homepage: http://www.gridsite.org/
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
DM-Upload-Allowed: yes

Package: gridsite
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), apache2, ${shlibs:Depends}, ${misc:Depends}
Description: Grid Security for the Web, Web platforms for Grids
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite, contains apache httpd modules for enabling 
 mod_gridsite.

Package: libgridsite1.7
Architecture: any
Section: libs
Replaces: libgridsite1.5
Conflicts: libgridsite1.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run time libraries for mod_gridsite and gridsite-clients
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package contains the runtime libraries.

Package: gridsite-clients
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Clients to gridsite: htcp, htrm, htmv
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-clients, contains clients for using against
 gridsite, htcp, htrm, ...

Package: gridsite-gsexec
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Setuid gsexec tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-setuid, contains the setuid gsexec program.

Package: libgridsite-dev
Architecture: any
Section: libdevel
Depends: libgridsite1.7 (= ${binary:Version}), ${misc:Depends}
Description: Developers tools for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, libgridsite-dev, contains developer tools for using
 gridsite.

Package: gridsite-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Developers Documentation for gridsite
 GridSite was originally a web application developed for managing and
 formatting the content of the http://www.gridpp.ac.uk/ website. Over
 the past years it has grown into a set of extensions to the Apache
 web server and a toolkit for Grid credentials, GACL access control
 lists and HTTP(S) protocol operations.
 .
 This package, gridsite-doc, contains developer documentation for
 gridsite.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,13 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
@@ -165,4 +171,4 @@
 binary: binary-indep binary-arch
 	:
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

## gridsite 1.7.16

=== src/Makefile ===
--- 
+++ 
@@ -66,6 +66,7 @@
 export MYLDFLAGS=-L.
 endif
 
+-include Makefile.inc
 
 #
 # Build
@@ -196,7 +197,7 @@
          grst_http_nossl.o grst_htcp_nossl.o $(XML2_LIBS)
 	ln -sf libgridsite_nossl.so.$(VERSION) libgridsite_nossl.so
 
-libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o
+libgridsite_nossl.a: grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o
 	ar src libgridsite_nossl.a \
                grst_err_nossl.o grst_gacl_nossl.o grst_http_nossl.o grst_htcp_nossl.o
 
@@ -313,5 +314,3 @@
 	mkdir -p ../doc/doxygen
 	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
 	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
-          > $$i.html ; done
-

=== debian/changelog ===
gridsite (1.7.16-1) unstable; urgency=low

  * Latest upstream release
  * Use dpkg's build flags
  * Add debug package
  * Add debian/watch file because the default watch rule fails
  * Split the binary rule for arch and indep
  * Drop patch gridsite-make-deps.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 10 Dec 2011 09:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), quilt, apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
+Build-Depends: debhelper (>= 6.0.7~), apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
 Standards-Version: 3.9.2
 Homepage: http://www.gridsite.org/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
@@ -89,3 +89,17 @@
  .
  This package, gridsite-doc, contains developer documentation for
  gridsite.
+
+Package: gridsite-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: gridsite (= ${binary:Version}) | libgridsite1.7 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}) | gridsite-gsexec (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for gridsite
+ GridSite was originally a web application developed for managing and
+ formatting the content of the http://www.gridpp.ac.uk/ website. Over
+ the past years it has grown into a set of extensions to the Apache
+ web server and a toolkit for Grid credentials, GACL access control
+ lists and HTTP(S) protocol operations.
+ .
+ This package, gridsite-dbg, contains debugging symbols for gridsite.

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
-endif
+-include /usr/share/dpkg/buildflags.mk
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -30,39 +16,28 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-include /usr/share/quilt/quilt.make
+configure: configure-stamp
 
-configure: configure-stamp
-	:
-
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 
 	touch $@
 
 build: build-indep build-arch
-	:
 
 build-indep: build-stamp
-	:
 
 build-arch: build-stamp
-	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" $(MAKE)
+	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
 
 	touch $@
 
-unpatch: cleanup
-
-clean: unpatch
-	:
-
-cleanup:
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -90,7 +65,7 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	cd src && \
 	$(MAKE) install prefix=$(INSTALLDIR)$(_prefix)
@@ -144,31 +119,40 @@
 	chown root.www-data $(INSTALLDIR)$(_sbindir)/gsexec
 	chmod 4754 $(INSTALLDIR)$(_sbindir)/gsexec
 
-binary-indep:
-	:
+binary-indep: install
+	dh_testdir
+	dh_testroot
+	dh_installdocs -i
+	dh_installchangelogs -i
+	dh_install -i --fail-missing
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
-	dh_install --fail-missing
-	dh_installman
-	dh_lintian
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms -X sbin/gsexec -X var/lib/gridsite \
-		    -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps -l debian/libgridsite1.7/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_install -a --fail-missing
+	dh_installman -a
+	dh_lintian -a
+	dh_link -a
+	dh_strip -a --dbg-package=gridsite-dbg
+	dh_compress -a
+	dh_fixperms -a -X sbin/gsexec -X var/lib/gridsite \
+		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_shlibdeps -a -l debian/libgridsite1.7/usr/lib
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
-	:
 
 .PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

## gridsite 1.7.21

=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,10 @@
 export libdir=lib
 endif
 
+ifndef httpd_name
+export httpd_name=httpd
+endif
+
 CURL_CFLAGS=`curl-config --cflags`
 CURL_LIBS=`curl-config --libs`
 XML2_CFLAGS=`xml2-config --cflags`
@@ -133,7 +137,7 @@
 	gcc -shared -Wl,-soname,libgridsite_globus.so.$(MINOR_VERSION) \
          -o libgridsite_globus.so.$(PATCH_VERSION) \
          grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_xacml_globus.o \
-         grst_http_globus.o grst_asn1_globus.o $(XML2_LIBS)
+         grst_http_globus.o grst_asn1_globus.o $(XML2_LIBS) $(OPENSSL_GLOBUS_LIBS)
 	ln -sf libgridsite_globus.so.$(VERSION) libgridsite_globus.so
 
 libgridsite_globus.a: grst_err_globus.o grst_x509_globus.o grst_gacl_globus.o grst_http_globus.o grst_asn1_globus.o
@@ -263,9 +267,9 @@
 mod_gridsite.so: mod_gridsite.c mod_ssl-private.h libgridsite.so.$(VERSION)
 	gcc -g $(MYCFLAGS) -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
-           $(XML2_CFLAGS) \
+           $(XML2_CFLAGS) -lcrypto -lssl \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
-           mod_gridsite.c $(MYLDFLAGS) $(XML2_LIBS) -lm -lz -lgridsite
+           mod_gridsite.c $(MYLDFLAGS) -lgridsite
 
 mod_gridsite_example.so: mod_gridsite_example.c 
 	gcc -g -shared -Wl,-soname=gridsite_example_module \
@@ -280,13 +284,12 @@
             grst_admin_gacl.c \
             grst_admin_file.c \
             -I/usr/kerberos/include \
-            -DVERSION=\"$(VERSION)\" -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
+            -DVERSION=\"$(VERSION)\" -lgridsite
 
 findproxyfile: findproxyfile.c libgridsite.so.$(VERSION)
 	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
             -o findproxyfile findproxyfile.c -L. \
-            -I/usr/kerberos/include -lgridsite \
-            -lssl -lcrypto $(XML2_LIBS) -lz -lm
+            -I/usr/kerberos/include -lgridsite
 
 showx509exts: showx509exts.c libgridsite.so.$(VERSION)
 	gcc -g -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) $(MYLDFLAGS) \
@@ -314,3 +317,5 @@
 	mkdir -p ../doc/doxygen
 	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
 	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
+          > $$i.html ; done
+

=== debian/changelog ===
gridsite (1.7.21-3) unstable; urgency=low

  * Fix glitches in module and site activation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Jun 2013 17:19:56 +0200

gridsite (1.7.21-2) unstable; urgency=low

  * Port to apache 2.4 (Closes: #666832, #669855)
  * Correct package description (Closes: #698519)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 May 2013 13:59:38 +0200

gridsite (1.7.21-1) unstable; urgency=low

  * Latest upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 May 2012 11:40:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), apache2-threaded-dev, libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils
-Standards-Version: 3.9.2
+Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, doxygen, sharutils, dh-apache2
+Standards-Version: 3.9.4
 Homepage: http://www.gridsite.org/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
-DM-Upload-Allowed: yes
 
 Package: gridsite
 Architecture: any
-Depends: libgridsite1.7 (= ${binary:Version}), apache2, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgridsite1.7 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -19,7 +19,7 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite, contains apache httpd modules for enabling 
+ This package, gridsite, contains apache httpd modules for enabling
  mod_gridsite.
 
 Package: libgridsite1.7
@@ -60,7 +60,7 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite-setuid, contains the setuid gsexec program.
+ This package, gridsite-gsexec, contains the setuid gsexec program.
 
 Package: libgridsite-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	cd src && \
-	MYCFLAGS="$(CFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
+	MYCFLAGS="$(CFLAGS) $(CPPFLAGS) -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -I/usr/include/apache2 -I/usr/include/apr-1.0 -fPIC" MYLDFLAGS="$(LDFLAGS) -L." $(MAKE)
 
 	touch $@
 
@@ -70,7 +70,8 @@
 	cd src && \
 	$(MAKE) install prefix=$(INSTALLDIR)$(_prefix)
 
-	mv $(INSTALLDIR)$(_libdir)/httpd $(INSTALLDIR)$(_libdir)/apache2
+	# Let dh_apache2 handle module installation
+	rm -rf mv $(INSTALLDIR)$(_libdir)/httpd
 
 	# Let debhelper do the compression
 	gunzip $(INSTALLDIR)$(_mandir)/man*/*
@@ -93,17 +94,6 @@
 
 	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
 	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
-
-	# Copy in apache configuration, we must name it zgridsite.conf
-	# so it is loaded after mod_ssl in ssl.conf
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available
-	install -m 0644 debian/gridsite.conf \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.conf
-	install -m 0644 debian/gridsite.load \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/mods-available/zgridsite.load
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available
-	install -m 0644 debian/gridsite.site \
-	   $(INSTALLDIR)$(_sysconfdir)/apache2/sites-available/gridsite
 
 	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
 	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
@@ -139,6 +129,7 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_install -a --fail-missing
+	dh_apache2 -a
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a

## gridsite 1.7.22

=== src/Makefile ===
--- 
+++ 
@@ -72,6 +72,12 @@
 
 -include Makefile.inc
 
+ifdef OPENSSL_GLOBUS_LIBS
+PC_FILES=gridsite-openssl.pc gridsite-globus.pc
+else
+PC_FILES=gridsite-openssl.pc
+endif
+
 #
 # Build
 #
@@ -82,7 +88,7 @@
 
 build-lib: libgridsite_globus.so.$(VERSION) libgridsite_globus.a \
            libgridsite.so.$(VERSION) libgridsite.a \
-           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a
+           libgridsite_nossl.so.$(VERSION) libgridsite_nossl.a $(PC_FILES)
 
 # First, normal versions using system OpenSSL rather than Globus OpenSSL
 
@@ -315,7 +321,3 @@
 	date
 	doxygen Doxyfile
 	mkdir -p ../doc/doxygen
-	cp -f doxygen/*.html doxygen/*.css doxygen/*.png ../doc/doxygen
-	cd ../doc ; for i in *.1 *.8 ; do ../src/roffit < $$i \
-          > $$i.html ; done
-

=== debian/changelog ===
gridsite (1.7.22-4) unstable; urgency=low

  * Local package
  * Automatically generated package

 -- EMI CESNET security <emi-lb@metacentrum.cz>  Tue, 07 Jul 2012 11:02:31 +0200

=== debian/control ===
Source: gridsite
Section: main
Priority: optional
Maintainer: EMI CESNET security <emi-lb@metacentrum.cz>
Build-Depends: debhelper (>= 7.0.50~),
	apache2-prefork-dev,
	gsoap,
	libglobus-gssapi-gsi-dev,
	libcurl4-openssl-dev,
	doxygen,
	libfuse-dev,
	libxml2,
	libxml2-dev,
	libssl-dev,
	pkg-config
Standards-Version: 3.9.1
Homepage: http://gridsite.org
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw/org.gridsite.core

Package: gridsite
Section: httpd
Architecture: any
Replaces: gridsite-apache (<= 1.7.21), gridsite-services (<= 1.7.21)
Breaks: gridsite-apache (<= 1.7.21), gridsite-services (<= 1.7.21)
Conflicts: gridsite-apache (<= 1.7.21), gridsite-services (<= 1.7.21)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite mod_gridsite module and CGI binaries for Apache httpd
 GridSite Apache module and CGI binaries.

Package: libgridsite1.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev
Description: GridSite libraries and documentation
 GridSite adds GSI, VOMS and GACL support to Apache 2.0 (mod_gridsite),
 a library for manipulating these technologies (libgridsite), and CGI
 programs for interactive management of HTTP(S) servers (gridsite-admin.cgi).
 This package contains shared libraries and core documentation.

Package: libgridsite-dev
Section: libdevel
Architecture: any
Depends: libgridsite1.7 (= ${binary:Version}),
         ${misc:Depends}
Description: GridSite static libraries and headers
 Development files for GridSite - .a libraries and .h headers.

Package: gridsite-commands
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP(S) read/write client and other GridSite commands
 htcp is a client to fetch files or directory listings from remote
 servers using HTTP or HTTPS, or to put or delete files or directories
 onto remote servers using HTTPS. htcp is similar to scp(1), but uses
 HTTP/HTTPS rather than ssh as its transfer protocol.

Package: gridsite-gsexec
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gsexec binary for the Apache HTTP server
 This package includes the /usr/sbin/gsexec binary which can be installed
 to allow the Apache HTTP server to run CGI programs (and any programs
 executed by SSI pages) as a user other than the 'apache' user. gsexec
 is a drop-in replacement for suexec, with extended functionality for use
 with GridSite and Grid Security credentials.

Package: gridsite-slashgrid
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl3 (>=7.12.1), fuse-utils
Description: SlashGrid daemon
 SlashGrid provides remote virtual filesystems under /grid ("slash grid").

Package: gridsite-service-clients
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GridSite WS htproxyput
 GridSite WS delegation client, htproxyput

Package: gridsite-apache
Depends: gridsite, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: gridsite-services
Depends: gridsite, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
